<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>QDMA Trigger Word Offset Definitions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">QDMA Trigger Word Offset Definitions</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base error code for the EDMA module is defined in the.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaaa2efed6caa11e2339f3c99fbd601a69"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaaa2efed6caa11e2339f3c99fbd601a69">EDMA_QDMA_TRIG_WORD_OFFSET_OPT</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the OPT field (Offset Address 0h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga143ed5ac4f488b48e9a2ed08227cc5b5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga143ed5ac4f488b48e9a2ed08227cc5b5">EDMA_QDMA_TRIG_WORD_OFFSET_SRC</a>&#160;&#160;&#160;(1U)</td></tr>
<tr class="memdesc:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SRC field (Offset Address 4h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade3461a457790abcf0a4035336cef9c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gade3461a457790abcf0a4035336cef9c5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gade3461a457790abcf0a4035336cef9c5">EDMA_QDMA_TRIG_WORD_OFFSET_ACNT_BCNT</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:gade3461a457790abcf0a4035336cef9c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (ACNT + BCNT) field (Offset Address 8h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gade3461a457790abcf0a4035336cef9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ad579eacf28188407935619e82e1121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7ad579eacf28188407935619e82e1121"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga7ad579eacf28188407935619e82e1121">EDMA_QDMA_TRIG_WORD_OFFSET_DST</a>&#160;&#160;&#160;(3U)</td></tr>
<tr class="memdesc:ga7ad579eacf28188407935619e82e1121"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the DST field (Offset Address Ch Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga7ad579eacf28188407935619e82e1121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad3a67ec0de46964bacfd38ad4b60b2d8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gad3a67ec0de46964bacfd38ad4b60b2d8">EDMA_QDMA_TRIG_WORD_OFFSET_SRC_DST_BIDX</a>&#160;&#160;&#160;(4U)</td></tr>
<tr class="memdesc:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (SRCBIDX + DSTBIDX) field (Offset Address 10h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaaaa60c68ef8fed3720b831b36dcbd171"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaaaa60c68ef8fed3720b831b36dcbd171">EDMA_QDMA_TRIG_WORD_OFFSET_LINK_BCNTRLD</a>&#160;&#160;&#160;(5U)</td></tr>
<tr class="memdesc:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (LINK + BCNTRLD) field (Offset Address 14h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga39aa314bf4e9c85ab6c7183b5927eec5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga39aa314bf4e9c85ab6c7183b5927eec5">EDMA_QDMA_TRIG_WORD_OFFSET_SRC_DST_CIDX</a>&#160;&#160;&#160;(6U)</td></tr>
<tr class="memdesc:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (SRCCIDX + DSTCIDX) field (Offset Address 18h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee19a319cc9d732e66ce734cec56cb59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaee19a319cc9d732e66ce734cec56cb59"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaee19a319cc9d732e66ce734cec56cb59">EDMA_QDMA_TRIG_WORD_OFFSET_CCNT</a>&#160;&#160;&#160;(7U)</td></tr>
<tr class="memdesc:gaee19a319cc9d732e66ce734cec56cb59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (CCNT + RSVD) field (Offset Address 1Ch Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaee19a319cc9d732e66ce734cec56cb59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6030632fddb8e7eb31341090d6682e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaa6030632fddb8e7eb31341090d6682e5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaa6030632fddb8e7eb31341090d6682e5">EDMA_QDMA_TRIG_WORD_OFFSET_DEFAULT</a>&#160;&#160;&#160;(<a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaee19a319cc9d732e66ce734cec56cb59">EDMA_QDMA_TRIG_WORD_OFFSET_CCNT</a>)</td></tr>
<tr class="memdesc:gaa6030632fddb8e7eb31341090d6682e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Trigger Word is CCNT. <br /></td></tr>
<tr class="separator:gaa6030632fddb8e7eb31341090d6682e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Base error code for the EDMA module is defined in the. </p>
<div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
